add_executable(dbmanager
    main.cpp
    db_manager.cpp
    db_manager.h
    ${CMAKE_SOURCE_DIR}/server/database/database.cpp
    ${CMAKE_SOURCE_DIR}/server/database/database.h
)

target_include_directories(dbmanager PRIVATE
    ${CMAKE_CURRENT_SOURCE_DIR}
    ${CMAKE_SOURCE_DIR}/server
    ${CMAKE_SOURCE_DIR}/shared
)

target_link_libraries(dbmanager PRIVATE
    scarchat_shared
    SQLite::SQLite3
)

# Install
install(TARGETS dbmanager
    RUNTIME DESTINATION bin
)
